import request from '@/utils/request'

// 查询用户提现记录列表
export function listSerAppUserWithdrawal(query) {
  return request({
    url: '/service/SerAppUserWithdrawal/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现记录详细
export function getSerAppUserWithdrawal(withdrawalId) {
  return request({
    url: '/service/SerAppUserWithdrawal/' + withdrawalId,
    method: 'get'
  })
}

// 新增用户提现记录
export function addSerAppUserWithdrawal(data) {
  return request({
    url: '/service/SerAppUserWithdrawal',
    method: 'post',
    data: data
  })
}

// 修改用户提现记录
export function updateSerAppUserWithdrawal(data) {
  return request({
    url: '/service/SerAppUserWithdrawal',
    method: 'put',
    data: data
  })
}

// 一键修改用户提现记录
export function updateSerAppUserWithdrawalAll(data) {
  return request({
    url: '/service/SerAppUserWithdrawal/all',
    method: 'put',
    data: data
  })
}

// 删除用户提现记录
export function delSerAppUserWithdrawal(withdrawalId) {
  return request({
    url: '/service/SerAppUserWithdrawal/' + withdrawalId,
    method: 'delete'
  })
}
